1 PS

 PS converts normal ascii text files to postscript (PS) files that
 may be printed on the Apple LaserWriter. This new and improved
 translator has many features including allowing the user to choose
 any of the built-in LaserWriter fonts. Users may also adjust margins,
 and set the size of the chosen font.

 PS also can translate RUNOFF .mem files. And yes! That means you can have 
 underlining and boldfacing on the LaserWriter!!!!  Please look at the
 the additional information on RUNOFF to find the RUNOFF specific 
 commands.

2 Author

 PS was written by Doug Pollard (HMC 1989).  PS was inspired by an 
 ascii-to-postscript translator that James Wilkinson had modified 
 from a translator by Eric Gisin.

2 RUNOFF

 When using PS to output RUNOFF files, the user must have created the
 RUNOFF .MEM file first.  Use the PS command on the .MEM file.

 To obtain the best results, it is suggested that the following options
 be used on the command line:

   $ PS/TOP_MARGIN=0/LEFT_MARGIN=0/BOTTOM_MARGIN=0/LINES=66/CALCULATE

 This should give complete control of the margin sizes to RUNOFF, as
 well as calculating the font size so that pages fit well on the 
 LaserWriter output.

3 /UNDERLINE

 /UNDERLINE mode is used with RUNOFF files.  If you want the
 LaserWriter to underline the text that is flagged for underlining, 
 this command should be used. (Please see /ITALIC)

 /UNDERLINE is the default setting.

3 /ITALIC

 /ITALIC mode is used with RUNOFF files.  /ITALIC will replace all text 
 that is flagged for underlining with italicized print.  

 NOTE:  If you wish to use /ITALIC mode, the user should use a standard
 non-italicized font such as Courier or Times-Roman.  

3 Example

     $ RUNOFF filename.RNO       -- create a .MEM file

     $ PS/top=0/left=0/bot=0/calc/lines=66/ITALIC filename.MEM

                                 -- will make a .PS file
                                    with all underlined text 
                                    changed to italicized print.

2 /BOTTOM_MARGIN

 This is the distance, in points, from the bottom of the sheet of paper
 to the end of your text. Default is 72 points, or 1 inch.

2 /CALCULATE
 
 This command must be used with the /LINES qualifier and can NOT be used
 with the /SIZE qualifier.

 When supplied with a value for /LINES, /CALC will calculate the font
 size so that your output will fill the margins of the page.

 Beware, though. /CALC will only make the font size large (or small) enough
 to fit the number of lines you specified onto the page.  It will not check
 to see whether the length of your lines, horizontally, will fit.

2 /COLUMNS

 /COLUMNS allows you to select the number of columns that your text will
 be printed in on a single sheet of paper.  Default is 1 column per page.

2 /END_PAGE

 This is the page number of the last page that will be included in the
 postscript output file. Default is to stop printing at the last page
 of the input file.

2 /FONT

 These are the fonts available for use on the LaserWriter+. Note: 
 if you do not specify a font, Courier will be used.


   AvantGarde-Book
   AvantGarde-BookOblique
   AvantGarde-Demi 
   AvantGarde-DemiOblique
   Bookman-Demi
   Bookman-DemiItalic
   Bookman-Light
   Bookman-LightItalic
   Courier
   Courier-Bold
   Courier-BoldOblique
   Courier-Oblique
   Helvetica
   Helvetica-Bold
   Helvetica-BoldOblique
   Helvetica-Narrow
   Helvetica-Narrow-Bold
   Helvetica-Narrow-BoldOblique
   Helvetica-Narrow-Oblique
   Helvetica-Oblique
   NewCenturySchlbk-Bold
   NewCenturySchlbk-BoldItalic
   NewCenturySchlbk-Italic
   NewCenturySchlbk-Roman
   Palatino-Bold
   Palatino-BoldItalic
   Palatino-Italic
   Palatino-Roman
   Symbol
   Times-Bold
   Times-BoldItalic
   Times-Italic
   Times-Roman
   ZapfChancery-MediumItalic
   ZapfDingbats

2 /LANDSCAPE

 This option produces output that is rotated 90 degrees on an 8.5 x
 11 inch page.  Choose this option when you have very long lines to 
 print, but do not wish to set the size of your font very small.

 /LANDSCAPE mode is also useful when you wish to print multiple columns
 on a single page.

2 /LEFT_MARGIN

 This is the distance, in points, from the left edge of the sheet of
 paper to the left-hand margin of your text. Default is 72 points, or
 1 inch.

2 /LINES

 This is the number of lines to appear on a page, starting at the top
 margin.

 NOTE: this qualifier cannot be used with /BOTTOM_MARGIN.

2 /PORTRAIT

 This option produces output that is not rotated on the 8.5 x 11 inch 
 page. This is the default setting. (SEE THE /LANDSCAPE OPTION for the
 alternate option.)  


2 /SIZE

 This is the size, in points (1 point is 1/72 inch), of the font to 
 be used. Default size is 12 points. 

 Minimum size is 4 points. Maximum size is limited to the size of a
 normal 8.5 X 11 sheet of paper.

 NOTE: /SIZE is not restricted to integer values -- a font size of 
       10.5 is perfectly acceptable, and often times useful.

2 /SPACING

 This command allows you to specify line spacing:  you can have your 
 output double spaced or triple spaced -- or any fraction thereof.

 Use spacing by specifying:

                        /SPACING=1.5   (for one-and-a-half spacing)
                        /SPACING=2     (for double spacing)
                        /SPACING=10    (for ten spacing!)


2 /START_PAGE

 This is the page number of the first page that will be included in the
 postscript output file. Default is to begin printing at page 1.

2 /TOP_MARGIN

 This is the distance, in points, from the top of the sheet of paper
 to the start of your text. Default is 72 points, or 1 inch.

 Note that /TOP_MARGIN is relative to how you are viewing the page --
 namely whether you're viewing from landscape or from portrait mode.
 /TOP_MARGIN is NOT determined from the size of an 8.5 x 11 inch page.

 ATTENTION RUNOFF USERS!! You must set the top margin to 0 in order for
 your page numbers to show correctly!

2 Examples

 a) To use PS, type:

                 $ PS input_file <output_file>

 where the output_file name is optional.  If an output file is NOT
 specified, PS will process your input file and create a brand new 
 postscript file with a .PS extension. Thus, 

                 $ PS thesis.txt

 would create a postscript file called thesis.PS


 b) To use an alternate font, type:

                 $ PS/FONT=font_name input_file
 For example     $ PS/FONT=BOOKMAN-LIGHTITALIC input_file

 
 c) Using PS with an alternate font and differing top margin, type:

                 $ PS/FONT=font_name/TOP=n input_file

 where "n" is the size, in points, of the desired margin. For example, 

                 $ PS/FONT=PALATINO-BOLD/TOP=144 paper.txt

 would return a postscript file written in palatino-bold and with 
 a 2 inch top margin.

 d) Using PS to specify the number of lines on a page, type:

                 $ PS/LINES=nn input_file

  where "n" is the number of lines to appear on a page.

 e) Using PS to print selected pages, type:

                 $ PS/START_PAGE=ss/END_PAGE=ee input_file

  where "ss" is the page number of the first page you want to print and
  "ee" is the page number of the last page you want to print. All pages
  between and including "ss" and "ee" will be printed.

 f) Using PS to print a file in two columns and sideways, type:

        $ PS/COLUMNS=2/LANDSCAPE/top=0/left=0/bottom=0/size=8 input_file

  will "nicely" fit standard 80 column-text onto a page divided into
  two columns.
